<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<div class="grid-block">
  <div class="grid-content">
    <!--[form:type]-->
    <div class="form--field -required -wide-label"><%= f.text_field :name, required: true, disabled: @type.is_standard?, container_class: '-middle' %></div>
    <div class="form--field -wide-label"><%= f.check_box :is_in_roadmap %></div>
    <%= render partial: '/colors/color_autocomplete_field',
               locals: {
                   form: f,
                   object: @type,
                   type: 'type',
                   highlight_text_inline: true,
                   label: t('types.edit.type_color_text'),
                   form_field_class: '-wide-label',
                   container_class: '-slim'
               } %>
    <div class="form--field -wide-label"><%= f.check_box :is_default %></div>
    <div class="form--field -wide-label"><%= f.check_box :is_milestone %></div>

    <% if @type.new_record? && @types.any? %>
      <div class="form--field -wide-label">
        <%= styled_label_tag 'copy_workflow_from', t(:label_copy_workflow_from) %>
        <%= styled_select_tag(:copy_workflow_from,
                              options_from_collection_for_select(@types, :id, :name, params[:copy_workflow_from]),
                              include_blank: true,
                              container_class: '-slim') %>
      </div>
    <% end %>

    <div class="form--field -wide-label -large-height">
      <%= f.text_area :description,
                      class: 'wiki-edit wiki-toolbar',
                      container_class: '-xxwide',
                      with_text_formatting: true %>
    </div>

    <!--[eoform:type]-->

  </div>
</div>

<div class="grid-block">
  <div class="generic-table--action-buttons">
  <%= styled_button_tag t(@type.new_record? ? :button_create : :button_save),
      class: '-primary -with-icon icon-checkmark' %>
  </div>
</div>
